Package org.eclipse.m2m.atl.common.OCL

# Class OclExpression

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl
org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
org.eclipse.m2m.atl.common.ATL.LocatedElement
org.eclipse.m2m.atl.common.OCL.OclExpression

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `CollectionExp`, `EnumLiteralExp`, `IfExp`, `LetExp`, `MapExp`, `OclType`, `OclUndefinedExp`, `PrimitiveExp`, `PropertyCallExp`, `SuperExp`, `TupleExp`, `VariableExp`

public abstract class OclExpression extends LocatedElement
A representation of the model object 'Ocl Expression'.

The following features are supported:

- `Type`
- `If Exp3`
- `Applied Property`
- `Collection`
- `Let Exp`
- `Loop Exp`
- `Parent Operation`
- `Initialized Variable`
- `If Exp2`
- `Owning Operation`
- `If Exp1`
- `Owning Attribute`

See Also:
  - `OCLPackage.getOclExpression()`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected OclType`
`type`
The cached value of the '`Type`' containment reference.

### Fields inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`commentsAfter, commentsBefore, location, LOCATION_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OclExpression()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetAppliedProperty(PropertyCallExp newAppliedProperty, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetCollection(CollectionExp newCollection, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetIfExp1(IfExp newIfExp1, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetIfExp2(IfExp newIfExp2, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetIfExp3(IfExp newIfExp3, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetInitializedVariable(VariableDeclaration newInitializedVariable, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLetExp(LetExp newLetExp, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLoopExp(LoopExp newLoopExp, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOwningAttribute(Attribute newOwningAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetOwningOperation(Operation newOwningOperation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetParentOperation(OperationCallExp newParentOperation, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetType(OclType newType, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`PropertyCallExp`
`getAppliedProperty()`
Returns the value of the 'Applied Property' container reference.
`CollectionExp`
`getCollection()`
Returns the value of the 'Collection' container reference.
`IfExp`
`getIfExp1()`
Returns the value of the 'If Exp1' container reference.
`IfExp`
`getIfExp2()`
Returns the value of the 'If Exp2' container reference.
`IfExp`
`getIfExp3()`
Returns the value of the 'If Exp3' container reference.
`VariableDeclaration`
`getInitializedVariable()`
Returns the value of the 'Initialized Variable' container reference.
`LetExp`
`getLetExp()`
Returns the value of the 'Let Exp' container reference.
`LoopExp`
`getLoopExp()`
Returns the value of the 'Loop Exp' container reference.
`Attribute`
`getOwningAttribute()`
Returns the value of the 'Owning Attribute' container reference.
`Operation`
`getOwningOperation()`
Returns the value of the 'Owning Operation' container reference.
`OperationCallExp`
`getParentOperation()`
Returns the value of the 'Parent Operation' container reference.
`OclType`
`getType()`
Returns the value of the 'Type' containment reference.
`void`
`setAppliedProperty(PropertyCallExp newAppliedProperty)`
Sets the value of the '`Applied Property`' container reference.
`void`
`setCollection(CollectionExp newCollection)`
Sets the value of the '`Collection`' container reference.
`void`
`setIfExp1(IfExp newIfExp1)`
Sets the value of the '`If Exp1`' container reference.
`void`
`setIfExp2(IfExp newIfExp2)`
Sets the value of the '`If Exp2`' container reference.
`void`
`setIfExp3(IfExp newIfExp3)`
Sets the value of the '`If Exp3`' container reference.
`void`
`setInitializedVariable(VariableDeclaration newInitializedVariable)`
Sets the value of the '`Initialized Variable`' container reference.
`void`
`setLetExp(LetExp newLetExp)`
Sets the value of the '`Let Exp`' container reference.
`void`
`setLoopExp(LoopExp newLoopExp)`
Sets the value of the '`Loop Exp`' container reference.
`void`
`setOwningAttribute(Attribute newOwningAttribute)`
Sets the value of the '`Owning Attribute`' container reference.
`void`
`setOwningOperation(Operation newOwningOperation)`
Sets the value of the '`Owning Operation`' container reference.
`void`
`setParentOperation(OperationCallExp newParentOperation)`
Sets the value of the '`Parent Operation`' container reference.
`void`
`setType(OclType newType)`
Sets the value of the '`Type`' containment reference.

### Methods inherited from class org.eclipse.m2m.atl.common.ATL.LocatedElement

`getCommentsAfter, getCommentsBefore, getLocation, setLocation, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### type

protected OclType type
The cached value of the '`Type`' containment reference.

See Also:
  - `getType()`

## Constructor Details

### OclExpression

protected OclExpression()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `LocatedElement`

### getType

public OclType getType()
Returns the value of the 'Type' containment reference. It is bidirectional and its opposite is '`Ocl Expression`'.

If the meaning of the 'Type' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Type' containment reference.
See Also:
  - `setType(OclType)`
  - `OCLPackage.getOclExpression_Type()`
  - `OclType.getOclExpression()`

### basicSetType

public org.eclipse.emf.common.notify.NotificationChain basicSetType(OclType newType, org.eclipse.emf.common.notify.NotificationChain msgs)

### setType

public void setType(OclType newType)
Sets the value of the '`Type`' containment reference.

Parameters:
  `value` - the new value of the 'Type' containment reference.
See Also:
  - `getType()`

### getIfExp3

public IfExp getIfExp3()
Returns the value of the 'If Exp3' container reference. It is bidirectional and its opposite is '`Else Expression`'.

If the meaning of the 'If Exp3' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'If Exp3' container reference.
See Also:
  - `setIfExp3(IfExp)`
  - `OCLPackage.getOclExpression_IfExp3()`
  - `IfExp.getElseExpression()`

### basicSetIfExp3

public org.eclipse.emf.common.notify.NotificationChain basicSetIfExp3(IfExp newIfExp3, org.eclipse.emf.common.notify.NotificationChain msgs)

### setIfExp3

public void setIfExp3(IfExp newIfExp3)
Sets the value of the '`If Exp3`' container reference.

Parameters:
  `value` - the new value of the 'If Exp3' container reference.
See Also:
  - `getIfExp3()`

### getAppliedProperty

public PropertyCallExp getAppliedProperty()
Returns the value of the 'Applied Property' container reference. It is bidirectional and its opposite is '`Source`'.

If the meaning of the 'Applied Property' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Applied Property' container reference.
See Also:
  - `setAppliedProperty(PropertyCallExp)`
  - `OCLPackage.getOclExpression_AppliedProperty()`
  - `PropertyCallExp.getSource()`

### basicSetAppliedProperty

public org.eclipse.emf.common.notify.NotificationChain basicSetAppliedProperty(PropertyCallExp newAppliedProperty, org.eclipse.emf.common.notify.NotificationChain msgs)

### setAppliedProperty

public void setAppliedProperty(PropertyCallExp newAppliedProperty)
Sets the value of the '`Applied Property`' container reference.

Parameters:
  `value` - the new value of the 'Applied Property' container reference.
See Also:
  - `getAppliedProperty()`

### getCollection

public CollectionExp getCollection()
Returns the value of the 'Collection' container reference. It is bidirectional and its opposite is '`Elements`'.

If the meaning of the 'Collection' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Collection' container reference.
See Also:
  - `setCollection(CollectionExp)`
  - `OCLPackage.getOclExpression_Collection()`
  - `CollectionExp.getElements()`

### basicSetCollection

public org.eclipse.emf.common.notify.NotificationChain basicSetCollection(CollectionExp newCollection, org.eclipse.emf.common.notify.NotificationChain msgs)

### setCollection

public void setCollection(CollectionExp newCollection)
Sets the value of the '`Collection`' container reference.

Parameters:
  `value` - the new value of the 'Collection' container reference.
See Also:
  - `getCollection()`

### getLetExp

public LetExp getLetExp()
Returns the value of the 'Let Exp' container reference. It is bidirectional and its opposite is '`In` '.

If the meaning of the 'Let Exp' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Let Exp' container reference.
See Also:
  - `setLetExp(LetExp)`
  - `OCLPackage.getOclExpression_LetExp()`
  - `LetExp.getIn_()`

### basicSetLetExp

public org.eclipse.emf.common.notify.NotificationChain basicSetLetExp(LetExp newLetExp, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLetExp

public void setLetExp(LetExp newLetExp)
Sets the value of the '`Let Exp`' container reference.

Parameters:
  `value` - the new value of the 'Let Exp' container reference.
See Also:
  - `getLetExp()`

### getLoopExp

public LoopExp getLoopExp()
Returns the value of the 'Loop Exp' container reference. It is bidirectional and its opposite is '`Body`'.

If the meaning of the 'Loop Exp' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Loop Exp' container reference.
See Also:
  - `setLoopExp(LoopExp)`
  - `OCLPackage.getOclExpression_LoopExp()`
  - `LoopExp.getBody()`

### basicSetLoopExp

public org.eclipse.emf.common.notify.NotificationChain basicSetLoopExp(LoopExp newLoopExp, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLoopExp

public void setLoopExp(LoopExp newLoopExp)
Sets the value of the '`Loop Exp`' container reference.

Parameters:
  `value` - the new value of the 'Loop Exp' container reference.
See Also:
  - `getLoopExp()`

### getParentOperation

public OperationCallExp getParentOperation()
Returns the value of the 'Parent Operation' container reference. It is bidirectional and its opposite is '`Arguments`'.

If the meaning of the 'Parent Operation' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent Operation' container reference.
See Also:
  - `setParentOperation(OperationCallExp)`
  - `OCLPackage.getOclExpression_ParentOperation()`
  - `OperationCallExp.getArguments()`

### basicSetParentOperation

public org.eclipse.emf.common.notify.NotificationChain basicSetParentOperation(OperationCallExp newParentOperation, org.eclipse.emf.common.notify.NotificationChain msgs)

### setParentOperation

public void setParentOperation(OperationCallExp newParentOperation)
Sets the value of the '`Parent Operation`' container reference.

Parameters:
  `value` - the new value of the 'Parent Operation' container reference.
See Also:
  - `getParentOperation()`

### getInitializedVariable

public VariableDeclaration getInitializedVariable()
Returns the value of the 'Initialized Variable' container reference. It is bidirectional and its opposite is '`Init Expression`'.

If the meaning of the 'Initialized Variable' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Initialized Variable' container reference.
See Also:
  - `setInitializedVariable(VariableDeclaration)`
  - `OCLPackage.getOclExpression_InitializedVariable()`
  - `VariableDeclaration.getInitExpression()`

### basicSetInitializedVariable

public org.eclipse.emf.common.notify.NotificationChain basicSetInitializedVariable(VariableDeclaration newInitializedVariable, org.eclipse.emf.common.notify.NotificationChain msgs)

### setInitializedVariable

public void setInitializedVariable(VariableDeclaration newInitializedVariable)
Sets the value of the '`Initialized Variable`' container reference.

Parameters:
  `value` - the new value of the 'Initialized Variable' container reference.
See Also:
  - `getInitializedVariable()`

### getIfExp2

public IfExp getIfExp2()
Returns the value of the 'If Exp2' container reference. It is bidirectional and its opposite is '`Then Expression`'.

If the meaning of the 'If Exp2' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'If Exp2' container reference.
See Also:
  - `setIfExp2(IfExp)`
  - `OCLPackage.getOclExpression_IfExp2()`
  - `IfExp.getThenExpression()`

### basicSetIfExp2

public org.eclipse.emf.common.notify.NotificationChain basicSetIfExp2(IfExp newIfExp2, org.eclipse.emf.common.notify.NotificationChain msgs)

### setIfExp2

public void setIfExp2(IfExp newIfExp2)
Sets the value of the '`If Exp2`' container reference.

Parameters:
  `value` - the new value of the 'If Exp2' container reference.
See Also:
  - `getIfExp2()`

### getOwningOperation

public Operation getOwningOperation()
Returns the value of the 'Owning Operation' container reference. It is bidirectional and its opposite is '`Body`'.

If the meaning of the 'Owning Operation' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Owning Operation' container reference.
See Also:
  - `setOwningOperation(Operation)`
  - `OCLPackage.getOclExpression_OwningOperation()`
  - `Operation.getBody()`

### basicSetOwningOperation

public org.eclipse.emf.common.notify.NotificationChain basicSetOwningOperation(Operation newOwningOperation, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOwningOperation

public void setOwningOperation(Operation newOwningOperation)
Sets the value of the '`Owning Operation`' container reference.

Parameters:
  `value` - the new value of the 'Owning Operation' container reference.
See Also:
  - `getOwningOperation()`

### getIfExp1

public IfExp getIfExp1()
Returns the value of the 'If Exp1' container reference. It is bidirectional and its opposite is '`Condition`'.

If the meaning of the 'If Exp1' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'If Exp1' container reference.
See Also:
  - `setIfExp1(IfExp)`
  - `OCLPackage.getOclExpression_IfExp1()`
  - `IfExp.getCondition()`

### basicSetIfExp1

public org.eclipse.emf.common.notify.NotificationChain basicSetIfExp1(IfExp newIfExp1, org.eclipse.emf.common.notify.NotificationChain msgs)

### setIfExp1

public void setIfExp1(IfExp newIfExp1)
Sets the value of the '`If Exp1`' container reference.

Parameters:
  `value` - the new value of the 'If Exp1' container reference.
See Also:
  - `getIfExp1()`

### getOwningAttribute

public Attribute getOwningAttribute()
Returns the value of the 'Owning Attribute' container reference. It is bidirectional and its opposite is '`Init Expression`'.

If the meaning of the 'Owning Attribute' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Owning Attribute' container reference.
See Also:
  - `setOwningAttribute(Attribute)`
  - `OCLPackage.getOclExpression_OwningAttribute()`
  - `Attribute.getInitExpression()`

### basicSetOwningAttribute

public org.eclipse.emf.common.notify.NotificationChain basicSetOwningAttribute(Attribute newOwningAttribute, org.eclipse.emf.common.notify.NotificationChain msgs)

### setOwningAttribute

public void setOwningAttribute(Attribute newOwningAttribute)
Sets the value of the '`Owning Attribute`' container reference.

Parameters:
  `value` - the new value of the 'Owning Attribute' container reference.
See Also:
  - `getOwningAttribute()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `LocatedElement`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `LocatedElement`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `LocatedElement`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `LocatedElement`